#pragma once

#include <stdio.h>
#include "m3iFile.h"

namespace melissa
{

class m3cDiskFile : public m3iFile
{
public:
    m3cDiskFile(const std::string &filename);
    ~m3cDiskFile();

    void close();
    bool isEof() const;
    uint64_t getSize() const;
    uint64_t read(void *data, uint64_t size);

private:
    FILE *m_file = 0;
    uint64_t m_size = 0;
};

}
