#pragma once

#include "m3hGlm.h"

namespace melissa
{

class m3cFrustum
{
public:
    void build(const glm::mat4 &projection, const glm::mat4 &view);
    bool pointInFrustum(float x, float y, float z) const;
    float sphereInFrustum( float x, float y, float z, float radius ) const;
    bool cubeInFrustum( float x, float y, float z, float size ) const;

private:
    float m_frustum[6][4];
};

}
