#pragma once

#include "m3hOpenGl.h"
#include "m3cAbstractMesh.h"

namespace melissa
{

class m3cLinkedMesh : public m3cAbstractMesh
{
public:
    m3cLinkedMesh(m3iResourceManager *resMan, const m3sMeshData &data);

    void bind();
    const void *getVertexPointer() const;
    const void *getElementPointer() const;

    void freeHandles();
    void reloadHandles();
};

}
