#pragma once

#include "m3hStd.h"
#include "m3hGlm.h"
#include "m3sSurfaceMaterial.h"

namespace melissa
{

class m3iTexture;
struct m3sMeshData;

class m3iMesh
{
public:
    virtual ~m3iMesh() {}
    virtual float getBoundingCubeSize() const = 0;
    virtual const m3sMeshData &getData() const = 0;
    virtual const m3sSurfaceMaterial &getSurfaceMaterial(uint64_t index) const = 0;
    virtual void setSurfaceMaterial(uint64_t index, const m3sSurfaceMaterial &material) = 0;
};

}
