#pragma once

#include "m3hGlm.h"

namespace melissa
{

class m3iResource;

class m3iResourceManager
{
public:
    virtual ~m3iResourceManager() {}
    virtual void registerResource(m3iResource *res) = 0;
    virtual void unregisterResource(m3iResource *res) = 0;
    virtual glm::vec4 getViewport() const = 0;
};

}
