#pragma once

#include "m3hGlm.h"

namespace melissa
{

class m3iMesh;

struct m3sDrawMeshData
{
    bool depth = true;
    bool blending = false;
    bool depthMask = true;
    bool is2d = false;
    m3iMesh *mesh = 0;
    float frameTime = 0;
    bool castShadows = true;
    bool receiveShadows = true;
    bool frustumEnabled = true;
    bool lightEnabled = true;
    glm::mat4 modelMatrix = glm::mat4(1.0);
};
}
