#pragma once

#include "m3hGlm.h"

namespace melissa
{

class m3iTexture;

struct m3sSurfaceMaterial
{
    std::string name;
    m3iTexture *diffuseTexture = 0;
    m3iTexture *normalmapTexture = 0;
    m3iTexture *lightmapTexture = 0;
    glm::vec4 diffuseColor = {1, 1, 1, 1};
    glm::vec4 specularColor = {0, 0, 0, 0};
    float specularIntensity = 0.5;
};

}
