#include "m3cCamera.h"
#include "m3iMovableManager.h"
#include "m3sRenderFrameData.h"

namespace melissa
{

m3cCamera::m3cCamera(m3iMovableManager *movMan)
    : m3cMovable(movMan)
{
}

void m3cCamera::use(m3iRender *render, m3sRenderFrameData &frameData)
{
    auto p = getPosition(true);
    auto d = getDirection(true);
    frameData.viewMatrix = glm::lookAt(p, p + d, glm::vec3(0, 1, 0));
}

}
