#pragma once

#include "m3iFile.h"
#include "m3cAndroidSystem.h"

namespace melissa
{

class m3cAndroidFile : public m3iFile
{
public:
    m3cAndroidFile(const std::string &filename);
    ~m3cAndroidFile();

    void close();
    bool isEof() const;
    uint64_t getSize() const;
    uint64_t read(void *data, uint64_t size);

private:
    AAsset *m_file;
    uint64_t m_size;
};

}
