#include "m3cAndroidFile.h"
#include "m3cAndroidFileSystem.h"

namespace melissa
{

bool m3cAndroidFileSystem::isFileExists(const std::string &filename) const
{
    auto m_file = AAssetManager_open(g_assetManager, filename.c_str(), AASSET_MODE_UNKNOWN);
    if (!m_file)
        return false;
    AAsset_close(m_file);
    return true;
}

m3iFile *m3cAndroidFileSystem::openFile(const std::string &filename) const
{
    return new m3cAndroidFile(filename);
}

}
