#include "m3cDiskFile.h"
#include "m3cDiskFileSystem.h"

namespace melissa
{

bool m3cDiskFileSystem::isFileExists(const std::string &filename) const
{
    auto file = new m3cDiskFile(filename);
    if (file->isEof())
    {
        delete file;
        return false;
    }
    return file;
}

m3iFile *m3cDiskFileSystem::openFile(const std::string &filename) const
{
    return new m3cDiskFile(filename);
}

}
