#pragma once

#include "m3hStd.h"

namespace melissa
{

class m3iFile
{
public:
    virtual ~m3iFile() {}

    //! close file if opened
    virtual void close() = 0;

    //! if file is valid return true
    virtual bool isEof() const = 0;

    //! size in bytes of file
    virtual uint64_t getSize() const = 0;

    //! read size bytes to data pointer, returns really readed bytes
    virtual uint64_t read(void *data, uint64_t size) = 0;
};

}
