#pragma once

#include "m3hStd.h"

namespace melissa
{

class m3iFile;

class m3iFileSystem
{
public:
    virtual ~m3iFileSystem() {}

    //! check file for exists
    virtual bool isFileExists(const std::string &filename) const = 0;

    //! open file
    virtual m3iFile *openFile(const std::string &filename) const = 0;
};

}
