#include "m3cLinkedMesh.h"

namespace melissa
{

m3cLinkedMesh::m3cLinkedMesh(m3iResourceManager *resMan, const m3sMeshData &data)
    : m3cAbstractMesh(resMan, data)
{
}

void m3cLinkedMesh::bind()
{
    glBindBuffer(GL_ARRAY_BUFFER, 0);
    glBindBuffer(GL_ELEMENT_ARRAY_BUFFER, 0);
}

const void *m3cLinkedMesh::getVertexPointer() const
{
    return m_data.vertices;
}

const void *m3cLinkedMesh::getElementPointer() const
{
    return m_data.elements;
}

void m3cLinkedMesh::freeHandles()
{

}

void m3cLinkedMesh::reloadHandles()
{

}

}
