#pragma once

#include "m3hStd.h"
#include "m3hGlm.h"

namespace melissa
{

class m3iSkeleton
{
public:
    virtual ~m3iSkeleton() {}
    virtual const std::vector<glm::mat4> &getJoints(double frameTime) = 0;
    virtual uint64_t getJointsCount() const = 0;
};

}
