#pragma once

#include "m3hGlm.h"

namespace melissa
{

struct m3sVertex
{
    glm::vec3 position = {0, 0, 0};
    glm::vec3 normal = {0, 0, -1};
    glm::vec2 texcoord1 = {0, 0};
    glm::vec4 color = {1, 1, 1, 1};
    glm::vec4 joint = {0, 0, 0, 0};
    glm::vec4 weight = {0, 0, 0, 0};
    glm::vec3 tangent= { 1, 0, 0 };
    glm::vec3 bitangent= { 0, 1, 0 };
    glm::vec2 texcoord2 = {0, 0};
};

}
