#pragma once

#include "m3hGlm.h"

namespace melissa
{

//! one image data
struct m3sBatchDrawData
{
    //! in degrees
    float angle = 0;

    //! relatively space size if used 2d render
    glm::vec2 size = {0, 0};

    //! relatively space size if used 2d render
    glm::vec3 position = {0, 0, 0};

    glm::vec4 color = {1, 1, 1, 1};

    //! clamped [0 - 1] factor
    glm::vec2 anchor = {0, 0};

    //! clamped [0 - 1] coordinate (x1,y1,x2,y2)
    glm::vec4 texcoordSquare = {0, 0, 1, 1};
};

}
