#pragma once

#include "m3hStd.h"
#include "m3hGlm.h"

namespace melissa
{

struct m3sSkeletonData
{
    struct Frame
    {
        int time;
        float pos[3];
        float quat[4];
    };

    struct Joint
    {
        Joint() : parentIdx(-1) {}
        float pos[3];
        float quat[4];
        std::vector<Frame> frames;
        int parentIdx;
    };

    std::vector<Joint> joints;
};

}
